#
# Setup module names
#
NAMESO               = $(NAME).so
NAMERMX              = $(NAME).rmx


#
# Setup compiler
#
GCC                  = arm-cortexa5-linux-uclibcgnueabihf-gcc
TRG_LIBPATH          = "$(SDK)\sysroot"
CPU_CFLAGS           = -mcpu=cortex-a5 -mthumb -mfpu=neon -mno-unaligned-access 
CCSTDARG             = $(CPU_CFLAGS) -c -Wall -mapcs -mlong-calls -pthread -D_GNU_SOURCE -Wextra -Wcast-align $(OPTIMIZE)
CC                   = $(GCC) --sysroot=$(TRG_LIBPATH) $(CPU_CFLAGS) $(CCSTDARG) -fPIC -I"$(SDK)\library\h"
LNK                  = $(GCC) --sysroot=$(TRG_LIBPATH) $(CPU_CFLAGS) -L"$(SDK)\library\lib" -lmodule -shared  -Wl,-z,defs -Wl,-soname,$(NAMESO) -o $(NAMESO)


#
# Set build rules
#

.c.o:
	$(CC) $*.c

all: $(SOURCE) $(NAMERMX)

$(NAMESO): $(SOURCE)
	$(LNK) $(SOURCE) $(STATIC_LIBS)

$(NAMERMX): $(NAMESO)
	rtcuexttag.exe $(NAMESO) -out $(NAMERMX) $(TAGS)

clean:
	rm *.o *.so *.rmx
