#
# Setup module names
#
NAMEBIN              = $(NAME).bin
NAMERPX              = $(NAME).rpx


#
# Setup compiler
#
GCC                  = arm-cortexa5-linux-uclibcgnueabihf-gcc
TRG_LIBPATH          = "$(SDK)\sysroot"
CPU_CFLAGS           = -mcpu=cortex-a5 -mthumb -mfpu=neon -mno-unaligned-access 
CCSTDARG             = $(CPU_CFLAGS) -c -Wall -mapcs -mlong-calls -pthread -D_GNU_SOURCE -Wextra -Wcast-align $(OPTIMIZE)
CC                   = $(GCC) --sysroot=$(TRG_LIBPATH) $(CPU_CFLAGS) $(CCSTDARG) -I"$(SDK)\library\h"
LNK                  = $(GCC) --sysroot=$(TRG_LIBPATH) $(CPU_CFLAGS) -L"$(SDK)\library\lib" -o $(NAMEBIN)


#
# Set build rules
#

.c.o:
	$(CC)  $*.c

all: $(SOURCE) $(NAMERPX)

$(NAMEBIN): $(SOURCE)
	$(LNK) $(SOURCE)

$(NAMERPX): $(NAMEBIN)
	rtcuexttag.exe $(NAMEBIN) -out $(NAMERPX) $(TAGS)

clean:
	rm *.o *.bin *.rpx
