// Data types 

FUNCTION ALIGN stringToUpper: INT;
VAR_INPUT
   str:STRING;
   out:ACCESS STRING;
END_VAR;
VAR
   err:INT;
END_VAR;
   stringToUpper := INT(MODCALL("dt_mod", "stringToUpper", err));
   IF err <> 0 THEN
      stringToUpper := -1;
   END_IF;
END_FUNCTION;

FUNCTION ALIGN numberToHex:STRING;
VAR_INPUT
   v:DINT;
   pad:BOOL:=false;
END_VAR;
VAR
   err:INT;
END_VAR;
   numberToHex := STRING(INT(MODCALL("dt_mod", "numberToHex", err)));
   IF err <> 0 THEN
      numberToHex := "Error";
   END_IF;
END_FUNCTION;



FUNCTION ALIGN sintTest:SINT;
VAR_INPUT
   a:SINT;
   b: ACCESS SINT;
END_VAR;
VAR
   err:INT;
END_VAR;
   sintTest := SINT(MODCALL("dt_mod", "sintTest", err));
   IF err <> 0 THEN
      sintTest := -1;
   END_IF;
END_FUNCTION;


FUNCTION ALIGN intTest:INT;
VAR_INPUT
   a:INT;
   b: ACCESS INT;
END_VAR;
VAR
   err:INT;
END_VAR;
   intTest := INT(MODCALL("dt_mod", "intTest", err));
   IF err <> 0 THEN
      intTest := -1;
   END_IF;
END_FUNCTION;


FUNCTION ALIGN dintTest:DINT;
VAR_INPUT
   a:DINT;
   b: ACCESS DINT;
END_VAR;
VAR
   err:INT;
END_VAR;
   dintTest := DINT(MODCALL("dt_mod", "dintTest", err));
   IF err <> 0 THEN
      dintTest := -1;
   END_IF;
END_FUNCTION;


FUNCTION ALIGN floatTest:FLOAT;
VAR_INPUT
   a:FLOAT;
   b: ACCESS FLOAT;
END_VAR;
VAR
   err:INT;
   padding:INT;
END_VAR;
   floatTest := FLOATB(MODCALL("dt_mod", "floatTest", err));
   IF err <> 0 THEN
      floatTest := FLOATB(16#7F800001);
   END_IF;
END_FUNCTION;


FUNCTION ALIGN boolTest:BOOL;
VAR_INPUT
   a:BOOL;
   b: ACCESS BOOL;
END_VAR;
VAR
   err:INT;
END_VAR;
   boolTest := BOOL(MODCALL("dt_mod", "boolTest", err));
   IF err <> 0 THEN
      boolTest := NOT a;
   END_IF;
END_FUNCTION;


STRUCT_BLOCK sb_data;
   elements: INT;
   elem:ARRAY [1..10] OF INT;
END_STRUCT_BLOCK;

FUNCTION ALIGN sb_test : INT;
VAR_INPUT
   data :ACCESS sb_data;
END_VAR;
VAR
   err:int;
END_VAR;

   sb_test:= INT(MODCALL("dt_mod", "sbTest", err));
END_FUNCTION;




FUNCTION ALIGN get_buf : INT;
VAR_INPUT
   size:INT;
   buf: ACCESS PTR;
END_VAR;
VAR
   err:INT;
END_VAR;
   get_buf:= INT(MODCALL("dt_mod", "getBuf", err));
END_FUNCTION;




FUNCTION ALIGN free_buf;
VAR_INPUT
   buf: PTR;
END_VAR;
VAR
   err:INT;
END_VAR;
   free_buf:= INT(MODCALL("dt_mod", "freeBuf", err));
END_FUNCTION;



FUNCTION_BLOCK ALIGN fbTest;
VAR_INPUT
   in_a  : INT;
   in_b  : SINT;
END_VAR;
VAR_OUTPUT
   str: STRING;
   result :INT;
END_VAR;
VAR
   err: INT;
END_VAR;
   result := INT(MODCALL("dt_mod", "fbTest", err));
   IF err <> 0 THEN
      result := -1;
   END_IF;
END_FUNCTION_BLOCK;















